Merge from trunk.
[bpt/emacs.git] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2012 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.ac, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module c-ctype:
44 # Code from module c-strcase:
45 # Code from module careadlinkat:
46 # Code from module clock-time:
47 # Code from module close-stream:
48 # Code from module crypto/md5:
49 # Code from module crypto/sha1:
50 # Code from module crypto/sha256:
51 # Code from module crypto/sha512:
52 # Code from module dosname:
53 # Code from module dtoastr:
54 # Code from module dtotimespec:
55 # Code from module dup2:
56 # Code from module environ:
57 # Code from module execinfo:
58 # Code from module extensions:
59 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
60 # Code from module extern-inline:
61 # Code from module filemode:
62 # Code from module fpending:
63 # Code from module getloadavg:
64 # Code from module getopt-gnu:
65 # Code from module getopt-posix:
66 # Code from module gettext-h:
67 # Code from module gettime:
68 # Code from module gettimeofday:
69 # Code from module ignore-value:
70 # Code from module include_next:
71 # Code from module intprops:
72 # Code from module inttypes-incomplete:
73 # Code from module largefile:
74 AC_REQUIRE([AC_SYS_LARGEFILE])
75 # Code from module lstat:
76 # Code from module manywarnings:
77 # Code from module mktime:
78 # Code from module multiarch:
79 # Code from module nocrash:
80 # Code from module pathmax:
81 # Code from module pselect:
82 # Code from module pthread_sigmask:
83 # Code from module readlink:
84 # Code from module signal-h:
85 # Code from module snippet/_Noreturn:
86 # Code from module snippet/arg-nonnull:
87 # Code from module snippet/c++defs:
88 # Code from module snippet/warn-on-use:
89 # Code from module socklen:
90 # Code from module ssize_t:
91 # Code from module stat:
92 # Code from module stat-time:
93 # Code from module stdalign:
94 # Code from module stdarg:
95 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
96 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
97 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
98 dnl shouldn't hurt, though installers are on their own to set c99 mode.
99 gl_PROG_CC_C99
100 # Code from module stdbool:
101 # Code from module stddef:
102 # Code from module stdint:
103 # Code from module stdio:
104 # Code from module stdlib:
105 # Code from module strftime:
106 # Code from module strtoimax:
107 # Code from module strtoll:
108 # Code from module strtoull:
109 # Code from module strtoumax:
110 # Code from module symlink:
111 # Code from module sys_select:
112 # Code from module sys_stat:
113 # Code from module sys_time:
114 # Code from module time:
115 # Code from module time_r:
116 # Code from module timer-time:
117 # Code from module timespec:
118 # Code from module timespec-add:
119 # Code from module timespec-sub:
120 # Code from module u64:
121 # Code from module unistd:
122 # Code from module utimens:
123 # Code from module verify:
124 # Code from module warnings:
125 ])
126
127 # This macro should be invoked from ./configure.ac, in the section
128 # "Check for header files, types and library functions".
129 AC_DEFUN([gl_INIT],
130 [
131 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
132 gl_cond_libtool=false
133 gl_libdeps=
134 gl_ltlibdeps=
135 gl_m4_base='m4'
136 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
137 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
138 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
139 m4_pushdef([gl_LIBSOURCES_LIST], [])
140 m4_pushdef([gl_LIBSOURCES_DIR], [])
141 gl_COMMON
142 gl_source_base='lib'
143 gl_FUNC_ALLOCA
144 AC_CHECK_FUNCS_ONCE([readlinkat])
145 gl_CLOCK_TIME
146 gl_CLOSE_STREAM
147 gl_MODULE_INDICATOR([close-stream])
148 gl_MD5
149 gl_SHA1
150 gl_SHA256
151 gl_SHA512
152 AC_REQUIRE([gl_C99_STRTOLD])
153 gl_FUNC_DUP2
154 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
155 AC_LIBOBJ([dup2])
156 gl_PREREQ_DUP2
157 fi
158 gl_UNISTD_MODULE_INDICATOR([dup2])
159 gl_ENVIRON
160 gl_UNISTD_MODULE_INDICATOR([environ])
161 gl_EXECINFO_H
162 AC_REQUIRE([gl_EXTERN_INLINE])
163 gl_FILEMODE
164 gl_FUNC_FPENDING
165 if test $ac_cv_func___fpending = no; then
166 AC_LIBOBJ([fpending])
167 gl_PREREQ_FPENDING
168 fi
169 gl_GETLOADAVG
170 if test $HAVE_GETLOADAVG = 0; then
171 AC_LIBOBJ([getloadavg])
172 gl_PREREQ_GETLOADAVG
173 fi
174 gl_STDLIB_MODULE_INDICATOR([getloadavg])
175 gl_FUNC_GETOPT_GNU
176 if test $REPLACE_GETOPT = 1; then
177 AC_LIBOBJ([getopt])
178 AC_LIBOBJ([getopt1])
179 gl_PREREQ_GETOPT
180 dnl Arrange for unistd.h to include getopt.h.
181 GNULIB_GL_UNISTD_H_GETOPT=1
182 fi
183 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
184 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
185 gl_FUNC_GETOPT_POSIX
186 if test $REPLACE_GETOPT = 1; then
187 AC_LIBOBJ([getopt])
188 AC_LIBOBJ([getopt1])
189 gl_PREREQ_GETOPT
190 dnl Arrange for unistd.h to include getopt.h.
191 GNULIB_GL_UNISTD_H_GETOPT=1
192 fi
193 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
194 gl_GETTIME
195 gl_FUNC_GETTIMEOFDAY
196 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
197 AC_LIBOBJ([gettimeofday])
198 gl_PREREQ_GETTIMEOFDAY
199 fi
200 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
201 gl_INTTYPES_INCOMPLETE
202 AC_REQUIRE([gl_LARGEFILE])
203 gl_FUNC_LSTAT
204 if test $REPLACE_LSTAT = 1; then
205 AC_LIBOBJ([lstat])
206 gl_PREREQ_LSTAT
207 fi
208 gl_SYS_STAT_MODULE_INDICATOR([lstat])
209 gl_FUNC_MKTIME
210 if test $REPLACE_MKTIME = 1; then
211 AC_LIBOBJ([mktime])
212 gl_PREREQ_MKTIME
213 fi
214 gl_TIME_MODULE_INDICATOR([mktime])
215 gl_MULTIARCH
216 gl_FUNC_PSELECT
217 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
218 AC_LIBOBJ([pselect])
219 fi
220 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
221 gl_FUNC_PTHREAD_SIGMASK
222 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
223 AC_LIBOBJ([pthread_sigmask])
224 gl_PREREQ_PTHREAD_SIGMASK
225 fi
226 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
227 gl_FUNC_READLINK
228 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
229 AC_LIBOBJ([readlink])
230 gl_PREREQ_READLINK
231 fi
232 gl_UNISTD_MODULE_INDICATOR([readlink])
233 gl_SIGNAL_H
234 gl_TYPE_SOCKLEN_T
235 gt_TYPE_SSIZE_T
236 gl_STAT_TIME
237 gl_STAT_BIRTHTIME
238 gl_STDALIGN_H
239 gl_STDARG_H
240 AM_STDBOOL_H
241 gl_STDDEF_H
242 gl_STDINT_H
243 gl_STDIO_H
244 gl_STDLIB_H
245 gl_FUNC_GNU_STRFTIME
246 gl_FUNC_STRTOIMAX
247 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
248 AC_LIBOBJ([strtoimax])
249 gl_PREREQ_STRTOIMAX
250 fi
251 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
252 gl_FUNC_STRTOUMAX
253 if test $ac_cv_func_strtoumax = no; then
254 AC_LIBOBJ([strtoumax])
255 gl_PREREQ_STRTOUMAX
256 fi
257 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
258 gl_FUNC_SYMLINK
259 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
260 AC_LIBOBJ([symlink])
261 fi
262 gl_UNISTD_MODULE_INDICATOR([symlink])
263 gl_HEADER_SYS_SELECT
264 AC_PROG_MKDIR_P
265 gl_HEADER_SYS_STAT_H
266 AC_PROG_MKDIR_P
267 gl_HEADER_SYS_TIME_H
268 AC_PROG_MKDIR_P
269 gl_HEADER_TIME_H
270 gl_TIME_R
271 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
272 AC_LIBOBJ([time_r])
273 gl_PREREQ_TIME_R
274 fi
275 gl_TIME_MODULE_INDICATOR([time_r])
276 gl_TIMER_TIME
277 gl_TIMESPEC
278 gl_UNISTD_H
279 gl_UTIMENS
280 gl_gnulib_enabled_dosname=false
281 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
282 gl_gnulib_enabled_pathmax=false
283 gl_gnulib_enabled_stat=false
284 gl_gnulib_enabled_strtoll=false
285 gl_gnulib_enabled_strtoull=false
286 gl_gnulib_enabled_verify=false
287 func_gl_gnulib_m4code_dosname ()
288 {
289 if ! $gl_gnulib_enabled_dosname; then
290 gl_gnulib_enabled_dosname=true
291 fi
292 }
293 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
294 {
295 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
296 AC_SUBST([LIBINTL])
297 AC_SUBST([LTLIBINTL])
298 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
299 fi
300 }
301 func_gl_gnulib_m4code_pathmax ()
302 {
303 if ! $gl_gnulib_enabled_pathmax; then
304 gl_PATHMAX
305 gl_gnulib_enabled_pathmax=true
306 fi
307 }
308 func_gl_gnulib_m4code_stat ()
309 {
310 if ! $gl_gnulib_enabled_stat; then
311 gl_FUNC_STAT
312 if test $REPLACE_STAT = 1; then
313 AC_LIBOBJ([stat])
314 gl_PREREQ_STAT
315 fi
316 gl_SYS_STAT_MODULE_INDICATOR([stat])
317 gl_gnulib_enabled_stat=true
318 if test $REPLACE_STAT = 1; then
319 func_gl_gnulib_m4code_dosname
320 fi
321 if test $REPLACE_STAT = 1; then
322 func_gl_gnulib_m4code_pathmax
323 fi
324 if test $REPLACE_STAT = 1; then
325 func_gl_gnulib_m4code_verify
326 fi
327 fi
328 }
329 func_gl_gnulib_m4code_strtoll ()
330 {
331 if ! $gl_gnulib_enabled_strtoll; then
332 gl_FUNC_STRTOLL
333 if test $HAVE_STRTOLL = 0; then
334 AC_LIBOBJ([strtoll])
335 gl_PREREQ_STRTOLL
336 fi
337 gl_STDLIB_MODULE_INDICATOR([strtoll])
338 gl_gnulib_enabled_strtoll=true
339 fi
340 }
341 func_gl_gnulib_m4code_strtoull ()
342 {
343 if ! $gl_gnulib_enabled_strtoull; then
344 gl_FUNC_STRTOULL
345 if test $HAVE_STRTOULL = 0; then
346 AC_LIBOBJ([strtoull])
347 gl_PREREQ_STRTOULL
348 fi
349 gl_STDLIB_MODULE_INDICATOR([strtoull])
350 gl_gnulib_enabled_strtoull=true
351 fi
352 }
353 func_gl_gnulib_m4code_verify ()
354 {
355 if ! $gl_gnulib_enabled_verify; then
356 gl_gnulib_enabled_verify=true
357 fi
358 }
359 if test $REPLACE_GETOPT = 1; then
360 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
361 fi
362 if test $REPLACE_LSTAT = 1; then
363 func_gl_gnulib_m4code_dosname
364 fi
365 if test $REPLACE_LSTAT = 1; then
366 func_gl_gnulib_m4code_stat
367 fi
368 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
369 func_gl_gnulib_m4code_stat
370 fi
371 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
372 func_gl_gnulib_m4code_strtoll
373 fi
374 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
375 func_gl_gnulib_m4code_verify
376 fi
377 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
378 func_gl_gnulib_m4code_strtoull
379 fi
380 if test $ac_cv_func_strtoumax = no; then
381 func_gl_gnulib_m4code_verify
382 fi
383 m4_pattern_allow([^gl_GNULIB_ENABLED_])
384 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
385 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
386 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
387 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
388 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
389 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
390 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
391 # End of code from modules
392 m4_ifval(gl_LIBSOURCES_LIST, [
393 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
394 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
395 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
396 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
397 exit 1
398 fi
399 done])dnl
400 m4_if(m4_sysval, [0], [],
401 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
402 ])
403 m4_popdef([gl_LIBSOURCES_DIR])
404 m4_popdef([gl_LIBSOURCES_LIST])
405 m4_popdef([AC_LIBSOURCES])
406 m4_popdef([AC_REPLACE_FUNCS])
407 m4_popdef([AC_LIBOBJ])
408 AC_CONFIG_COMMANDS_PRE([
409 gl_libobjs=
410 gl_ltlibobjs=
411 if test -n "$gl_LIBOBJS"; then
412 # Remove the extension.
413 sed_drop_objext='s/\.o$//;s/\.obj$//'
414 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
415 gl_libobjs="$gl_libobjs $i.$ac_objext"
416 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
417 done
418 fi
419 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
420 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
421 ])
422 gltests_libdeps=
423 gltests_ltlibdeps=
424 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
425 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
426 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
427 m4_pushdef([gltests_LIBSOURCES_LIST], [])
428 m4_pushdef([gltests_LIBSOURCES_DIR], [])
429 gl_COMMON
430 gl_source_base='tests'
431 changequote(,)dnl
432 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
433 changequote([, ])dnl
434 AC_SUBST([gltests_WITNESS])
435 gl_module_indicator_condition=$gltests_WITNESS
436 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
437 m4_pattern_allow([^gl_GNULIB_ENABLED_])
438 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
439 m4_ifval(gltests_LIBSOURCES_LIST, [
440 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
441 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
442 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
443 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
444 exit 1
445 fi
446 done])dnl
447 m4_if(m4_sysval, [0], [],
448 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
449 ])
450 m4_popdef([gltests_LIBSOURCES_DIR])
451 m4_popdef([gltests_LIBSOURCES_LIST])
452 m4_popdef([AC_LIBSOURCES])
453 m4_popdef([AC_REPLACE_FUNCS])
454 m4_popdef([AC_LIBOBJ])
455 AC_CONFIG_COMMANDS_PRE([
456 gltests_libobjs=
457 gltests_ltlibobjs=
458 if test -n "$gltests_LIBOBJS"; then
459 # Remove the extension.
460 sed_drop_objext='s/\.o$//;s/\.obj$//'
461 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
462 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
463 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
464 done
465 fi
466 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
467 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
468 ])
469 LIBGNU_LIBDEPS="$gl_libdeps"
470 AC_SUBST([LIBGNU_LIBDEPS])
471 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
472 AC_SUBST([LIBGNU_LTLIBDEPS])
473 ])
474
475 # Like AC_LIBOBJ, except that the module name goes
476 # into gl_LIBOBJS instead of into LIBOBJS.
477 AC_DEFUN([gl_LIBOBJ], [
478 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
479 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
480 ])
481
482 # Like AC_REPLACE_FUNCS, except that the module name goes
483 # into gl_LIBOBJS instead of into LIBOBJS.
484 AC_DEFUN([gl_REPLACE_FUNCS], [
485 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
486 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
487 ])
488
489 # Like AC_LIBSOURCES, except the directory where the source file is
490 # expected is derived from the gnulib-tool parameterization,
491 # and alloca is special cased (for the alloca-opt module).
492 # We could also entirely rely on EXTRA_lib..._SOURCES.
493 AC_DEFUN([gl_LIBSOURCES], [
494 m4_foreach([_gl_NAME], [$1], [
495 m4_if(_gl_NAME, [alloca.c], [], [
496 m4_define([gl_LIBSOURCES_DIR], [lib])
497 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
498 ])
499 ])
500 ])
501
502 # Like AC_LIBOBJ, except that the module name goes
503 # into gltests_LIBOBJS instead of into LIBOBJS.
504 AC_DEFUN([gltests_LIBOBJ], [
505 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
506 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
507 ])
508
509 # Like AC_REPLACE_FUNCS, except that the module name goes
510 # into gltests_LIBOBJS instead of into LIBOBJS.
511 AC_DEFUN([gltests_REPLACE_FUNCS], [
512 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
513 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
514 ])
515
516 # Like AC_LIBSOURCES, except the directory where the source file is
517 # expected is derived from the gnulib-tool parameterization,
518 # and alloca is special cased (for the alloca-opt module).
519 # We could also entirely rely on EXTRA_lib..._SOURCES.
520 AC_DEFUN([gltests_LIBSOURCES], [
521 m4_foreach([_gl_NAME], [$1], [
522 m4_if(_gl_NAME, [alloca.c], [], [
523 m4_define([gltests_LIBSOURCES_DIR], [tests])
524 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
525 ])
526 ])
527 ])
528
529 # This macro records the list of files which have been installed by
530 # gnulib-tool and may be removed by future gnulib-tool invocations.
531 AC_DEFUN([gl_FILE_LIST], [
532 build-aux/snippet/_Noreturn.h
533 build-aux/snippet/arg-nonnull.h
534 build-aux/snippet/c++defs.h
535 build-aux/snippet/warn-on-use.h
536 lib/alloca.in.h
537 lib/allocator.c
538 lib/allocator.h
539 lib/c-ctype.c
540 lib/c-ctype.h
541 lib/c-strcase.h
542 lib/c-strcasecmp.c
543 lib/c-strncasecmp.c
544 lib/careadlinkat.c
545 lib/careadlinkat.h
546 lib/close-stream.c
547 lib/close-stream.h
548 lib/dosname.h
549 lib/dtoastr.c
550 lib/dtotimespec.c
551 lib/dup2.c
552 lib/execinfo.c
553 lib/execinfo.in.h
554 lib/filemode.c
555 lib/filemode.h
556 lib/fpending.c
557 lib/fpending.h
558 lib/ftoastr.c
559 lib/ftoastr.h
560 lib/getloadavg.c
561 lib/getopt.c
562 lib/getopt.in.h
563 lib/getopt1.c
564 lib/getopt_int.h
565 lib/gettext.h
566 lib/gettime.c
567 lib/gettimeofday.c
568 lib/ignore-value.h
569 lib/intprops.h
570 lib/inttypes.in.h
571 lib/lstat.c
572 lib/md5.c
573 lib/md5.h
574 lib/mktime-internal.h
575 lib/mktime.c
576 lib/pathmax.h
577 lib/pselect.c
578 lib/pthread_sigmask.c
579 lib/readlink.c
580 lib/sha1.c
581 lib/sha1.h
582 lib/sha256.c
583 lib/sha256.h
584 lib/sha512.c
585 lib/sha512.h
586 lib/signal.in.h
587 lib/stat-time.c
588 lib/stat-time.h
589 lib/stat.c
590 lib/stdalign.in.h
591 lib/stdarg.in.h
592 lib/stdbool.in.h
593 lib/stddef.in.h
594 lib/stdint.in.h
595 lib/stdio.in.h
596 lib/stdlib.in.h
597 lib/strftime.c
598 lib/strftime.h
599 lib/strtoimax.c
600 lib/strtol.c
601 lib/strtoll.c
602 lib/strtoul.c
603 lib/strtoull.c
604 lib/strtoumax.c
605 lib/symlink.c
606 lib/sys_select.in.h
607 lib/sys_stat.in.h
608 lib/sys_time.in.h
609 lib/time.in.h
610 lib/time_r.c
611 lib/timespec-add.c
612 lib/timespec-sub.c
613 lib/timespec.c
614 lib/timespec.h
615 lib/u64.c
616 lib/u64.h
617 lib/unistd.in.h
618 lib/utimens.c
619 lib/utimens.h
620 lib/verify.h
621 m4/00gnulib.m4
622 m4/alloca.m4
623 m4/c-strtod.m4
624 m4/clock_time.m4
625 m4/close-stream.m4
626 m4/dup2.m4
627 m4/environ.m4
628 m4/execinfo.m4
629 m4/extensions.m4
630 m4/extern-inline.m4
631 m4/filemode.m4
632 m4/fpending.m4
633 m4/getloadavg.m4
634 m4/getopt.m4
635 m4/gettime.m4
636 m4/gettimeofday.m4
637 m4/gnulib-common.m4
638 m4/include_next.m4
639 m4/inttypes.m4
640 m4/largefile.m4
641 m4/longlong.m4
642 m4/lstat.m4
643 m4/manywarnings.m4
644 m4/md5.m4
645 m4/mktime.m4
646 m4/multiarch.m4
647 m4/nocrash.m4
648 m4/off_t.m4
649 m4/pathmax.m4
650 m4/pselect.m4
651 m4/pthread_sigmask.m4
652 m4/readlink.m4
653 m4/sha1.m4
654 m4/sha256.m4
655 m4/sha512.m4
656 m4/signal_h.m4
657 m4/socklen.m4
658 m4/ssize_t.m4
659 m4/st_dm_mode.m4
660 m4/stat-time.m4
661 m4/stat.m4
662 m4/stdalign.m4
663 m4/stdarg.m4
664 m4/stdbool.m4
665 m4/stddef_h.m4
666 m4/stdint.m4
667 m4/stdio_h.m4
668 m4/stdlib_h.m4
669 m4/strftime.m4
670 m4/strtoimax.m4
671 m4/strtoll.m4
672 m4/strtoull.m4
673 m4/strtoumax.m4
674 m4/symlink.m4
675 m4/sys_select_h.m4
676 m4/sys_socket_h.m4
677 m4/sys_stat_h.m4
678 m4/sys_time_h.m4
679 m4/time_h.m4
680 m4/time_r.m4
681 m4/timer_time.m4
682 m4/timespec.m4
683 m4/tm_gmtoff.m4
684 m4/unistd_h.m4
685 m4/utimbuf.m4
686 m4/utimens.m4
687 m4/utimes.m4
688 m4/warn-on-use.m4
689 m4/warnings.m4
690 m4/wchar_t.m4
691 ])